Bug Hunting Session
Bug 100872 - Crash in: com::sun::star::datatransfer::DataFormatTranslator::create(com::sun::star::uno::Reference<com::sun::star::uno::XComponentContext> const &)
Summary: Crash in: com::sun::star::datatransfer::DataFormatTranslator::create(com::sun...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.0.0.0.alpha0+ Master
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.3.0 target:5.2.0 target:5.1.6
Keywords:
Depends on:
Blocks:
 
Reported: 2016-07-12 15:19 UTC by Markus Mohrhard
Modified: 2018-08-29 11:52 UTC (History)
0 users

See Also:
Crash report or crash signature: ["com::sun::star::datatransfer::DataFormatTranslator::create(com::sun::star::uno::Reference<com::sun::star::uno::XComponentContext> const &)"]


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Markus Mohrhard 2016-07-12 15:19:36 UTC
This bug was filed from the crash reporting server and is br-d518bbd3-b1c8-4005-8fbf-1561aa911140.
=========================================

Class CDataFormatTranslator is duplicated in the ftransl library.
Comment 1 Commit Notification 2016-07-12 19:47:23 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=37204431c68a4725b4539fa35e9fcea4fe94c166

avoid name clash for CDataFormatTranslator in ftransl, tdf#100872

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2016-07-13 20:15:59 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7aeadecc76e583a802d17b27d241c356e4e1bdc7&h=libreoffice-5-2

avoid name clash for CDataFormatTranslator in ftransl, tdf#100872

It will be available in 5.2.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2016-07-18 14:25:42 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-5-2-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=625dde21d5652504bd9992a65b26d9358bfe1dea&h=libreoffice-5-2-0

avoid name clash for CDataFormatTranslator in ftransl, tdf#100872

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2016-08-02 14:49:42 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e3ba28a55334c1eaa32714db7caad538486078fe&h=libreoffice-5-1

avoid name clash for CDataFormatTranslator in ftransl, tdf#100872

It will be available in 5.1.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.